Bug 516787 - UI blocks in various places
UI blocks in various places
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-11 10:13 EDT by Bastien Nocera
Modified: 2016-06-24 06:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-08-11 10:13:00 EDT
system-config-printer-1.1.8-5.fc11.x86_64

With a slow backend (Bluetooth), I get the "Please wait" dialogue showing behind the authentication dialogue when adding a new printer (and the UI blocks...).
Comment 1 Tim Waugh 2009-08-17 05:03:12 EDT
Oh, this is basically that the UI blocks.

Known, but won't be fixed in time for Fedora 12.

This being tracked upstream by:

https://fedorahosted.org/system-config-printer/ticket/102
https://fedorahosted.org/system-config-printer/ticket/117
Comment 2 Bastien Nocera 2009-08-18 12:09:51 EDT
What about the "Please wait" dialogue showing up badly parented?
Comment 3 Tim Waugh 2009-08-18 12:49:16 EDT
Fixed upstream.

It should appear parented to:

1. the main window, after clicking 'New'
2. the new printer dialog, when using that
3. the printer properties dialog, when clicking one of the 'Change...' buttons
Comment 4 Tim Waugh 2009-08-18 13:16:09 EDT
I might be able to get to the worst offenders for the UI blocking for Fedora 12.
Comment 5 Tim Waugh 2009-08-21 05:13:15 EDT
No, this is just hard to get right.  Unfortunately libcups only provides a blocking API so we'd have to put that operation in a separate thread.  If we did that, we'd need to create a new connection for it, and if we did *that* we'd lose any authentication caching we had because none of the other operations do that.

The answer is to fix all of the code, but I know from experience with doing this with the troubleshooter that it will definitely introduce bugs.

Will get to it for next time round (1.2.x).
Comment 6 Tim Waugh 2009-08-23 06:25:43 EDT
Actually one of the main reasons this is that cupspk.py calls into GTK directly so can't be run in a separate thread.

I remember now that I had to put the devices list fetching into the main thread for exactly this reason.

That part at least ought to be fixed in Fedora 12.
Comment 7 Tim Waugh 2009-08-27 07:29:12 EDT
This sort of fell out of porting it to polkit-1. :-)

Various IPP operations system-config-printer uses can still block the UI and that needs comprehensively fixing as mentioned in comment #5, but that won't be in Fedora 12.
Comment 8 Tim Waugh 2009-08-27 11:49:50 EDT
So, the 'fetch devices' UI blocking part is fixed in 1.1.12-4.fc12.

Keeping open for the rest.
Comment 9 Fedora Admin XMLRPC Client 2016-06-24 06:41:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.